Collab365 Q&A

824 viewsSP2010
0

Hi

I’ve been handed the assignment to mgrate a Sharepoint 2010 contentDB from another farm to a new farm. The two farms did not have the same Service Packs and CU’s installed. So when I use the stsadm cmd -addcontentdb I ofcourse get the “This content database has a schema version which is not supported in this farm.”-error.

My problem is, that the old farm is gone\finitto\dead. So I’,m not able to upgrade the old farm and take a new backup of the contentDB. I only have an old backup of the DB which I’ve now restores into the new SQL server.

So my question is – Is it posible to do a migrate and attach the old contentDB onto the new farm?

Kind regard, Rasmus

0

OK I think I’ve got it now.

I found out that the old farm was a Build 6112 Revision 5000. Using the (get-spfarm).buildversion cmdlet on my existing farm, I could se that my farm was “only” a build 6029 Rev. 1000. So all I need is to upgrade my current farm with the october 2011 CU.

0

Nevermind – I had a “Space” between ‘mount’ and -spcontentdatabase. Although I still get the “This content database has a schema version which is not supported in this farm” from powershell so it does not perform an upgrade.

 

Any surgestions?

0

Hi and thanks

 

I’ve never used the Mount cmdlet before. In Sharepoint 2010 Management Shell I threw in this line (mount -SPContentDatabase WSS_Content_LRO -WebApplication http://lmosp01/), but got this in return (New-PSDrive : A parameter cannot be found that matches parameter name ‘SPContentDatabase’)

What did I do wrong?

 

Regards

0

Only if the new farm is at the same or higher version (Mount-SPContentDatabase automatically upgrades the schema of the database, given the database has an older schema).  

(0)